# conditional-diffing-action

![build-test](https://github.com/lostick/conditional-diffing-action/workflows/build-test/badge.svg?branch=master)

This action can be used in a job step to filter paths based on git diff rules. The step sets `DIFF_DETECTED` environment variable as true or false, which can then be reused to conditionally run subsequent steps.

## Usage

1. Add rules in a new `.github/rules.yml` file

```
rules:
- paths:
  - ./src
```

2. Update your workflow

```yaml
steps:
# Make sure to fetch all branches or diffing commands won't run
- uses: actions/checkout@v2
- run: git fetch --no-tags --prune --depth=1 origin +refs/heads/master:refs/remotes/origin/master

- uses: lostick/conditional-diffing-action@v0.2.0

# This step uses DIFF_DETECTED env var to determine whether it needs to be run or not
- name: Setup go
  if: env.DIFF_DETECTED
  uses: actions/setup-go@v2
```
